BANK KALTENG Bugs - Feature #3445

[ESS-Travel] pembuatan validasi dimana untuk travel route dan travel accomodation waijib diisi. dulu
pernah di cabut validasi nya.

02/21/2025 04:31 PM - Muhammad Bintar

Status: Closed Start date: 02/21/2025
Priority: Normal Due date: 02/26/2025
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.50 hour
Description

dear tim developer mohon support nya untuk pembuatan validasi dimana untuk travel route dan travel accomodation wajib diisi.
dulu pernah di cabut validasi nya.

referensi http:/remote.minovais.com:3000/redmine/issues/3171

Port: http://remote.minovais.com:31130/
DB: MinovaES_Bank_Kalteng_Dev (di 1442)
menu : ess travel

History

#1 - 02/24/2025 11:44 AM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#2 - 02/28/2025 10:25 AM - M Azid Wahyudi

- File clipboard-202502281011-507kr.png added

- File clipboard-202502281012-n20sg.png added

- File clipboard-202502281012-azfjb.png added

- File clipboard-202502281019-pbgl0.png added

- File clipboard-202502281019-75uvh.png added

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Muhammad Bintar

dear masbin udah bisa di test ya
INFORMATION

Tabel route tidak boleh kosong!
‘Ada yang Kosong

Tabel route ada yang koseng!
Subject: aan
Description wagw

B MyReport

= HR Administration

W Performance Management

A Header
B Time Management
B Benefit Management
Start Date: 28/02/2025 Travel Reason
End Date 28/02/2025
Travel Status Plan Travel Result
Forwarding Task
Inbox Travel Type Perjalanan Dinas Jabatan Dalam Wilayah Kalimantan Tengah
Qutbox Departure: Organizer
echive Destination
Delete Request ID
Mass Approval
A Route

E-Leaming
© Add | Delete

M Human Resource:

Start Date End Date Start Time End Time Trans Type Trans Provider Trans Class Departure Destination Amount Notes

B Business Intelligence

1 2800272025 2810212025 00:02 0011 KendaraanD. . kalteng kaltim 200,000.00
M System Administration
Ada yang Kosong

Tabel accomodation tidak boleh kosong!

package :
1. bizproc(beforesubmit)
2. messagecatalog(TRV116)

settingan bizdata (RouteAmount & AccomAmount) invisible 1 (di tampilin semua task)

sekenario validasi :

1. jika dia bener2 blank muncul validasi tidak boleh kosong

2. jika RouteAmount & AccomAmount muncul validasi tidak boleh kosong (soalnya bisa bikin error pas posting karena desimal tipe datanya)
makasih

#3 - 03/05/2025 01:58 PM - Muhammad Bintar

- Status changed from QA Test to Closed

- Assignee changed from Muhammad Bintar to M Azid Wahyudi

okeh sudah di deploy

Files

clipboard-202502281011-507kr.png 98.2 KB 02/28/2025 M Azid Wahyudi
clipboard-202502281012-n20sg.png 70.1 KB 02/28/2025 M Azid Wahyudi
clipboard-202502281012-azfjb.png 95.5 KB 02/28/2025 M Azid Wahyudi
clipboard-202502281019-pbgl0.png 104 KB 02/28/2025 M Azid Wahyudi
clipboard-202502281019-75uvh.png 95 KB 02/28/2025 M Azid Wahyudi
